Bug 522552 - fast user switching crashes X and loops error message.
Summary: fast user switching crashes X and loops error message.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: rawhide
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 17:21 UTC by Dan Beard
Modified: 2018-04-11 15:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-08 04:27:35 UTC
Type: ---


Attachments (Terms of Use)

Description Dan Beard 2009-09-10 17:21:10 UTC
Description of problem: Fast user switching (back from second account to first) results in a crash of X back to command line of a rapidly repeating nouveau error message which cannot be interrrupted.   Use of power switch required to shut down machine.


Version-Release number of selected component (if applicable):


How reproducible: From the testday liveCD, Create second account, fast switch to second account, then switch back to first account.  


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:  This immediately runs the CPU to max and all fans in the laptop go to full speed.   Honestly I was more interested in getting the system shut down before something overheated than getting a quote of the error message.   

Computer is an HP Pavillion laptop model: dv9904 with nvidia 7159 vid chips.

Comment 1 Dan Beard 2009-09-10 19:14:23 UTC
Attempting to suspend also produces the above results.   

the repeating message is as follows:

nouveau 000:00:12.0: PFIFO-INTR 04000/0000-Ch 0

Comment 2 Ben Skeggs 2009-09-10 20:30:59 UTC
I have a suspicion I know what's causing this bug, as a test/workaround could you try the nouveau.vram_pushbuf=1 boot option?

Thanks!

Comment 3 Dan Beard 2009-09-10 20:47:59 UTC
I'd be happy to, if you'll give me very specific instructions on how to do so.

The last two attempts resulted in, "Unknown boot option ignoring."

Comment 4 Ben Skeggs 2009-09-10 20:57:56 UTC
That message is fine, the kernel itself doesn't know about the option but nouveau will listen to it!

Comment 5 Dan Beard 2009-09-10 21:05:13 UTC
Ok.   It failed immediately upon trying to switch users this time.   Same message, same actions needed to shut it down.

Comment 6 Dan Beard 2009-09-10 21:13:47 UTC
EDIT:   Actually suspended, but repeated error coming back up.

Comment 7 Ben Skeggs 2009-09-16 23:24:21 UTC
Can you update to kernel 2.6.31-23.fc12 and retry please, this should be fixed.

Comment 8 Matěj Cepl 2009-11-05 17:15:55 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 9 Dan Beard 2009-11-05 17:32:03 UTC
Ok.   I will try to get F-12 Beta tested for you by the end of next week.

Comment 10 Matěj Cepl 2009-11-08 02:10:02 UTC
If you can still reproduce, please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Thanks in advance.

Comment 11 Dan Beard 2009-11-08 02:39:56 UTC
This bug is no longer reproducible.   Running F12 liveCD Beta 2.6.31.1-56.fc12.x86_64

Congratulations!   I shall consider this bug properly squished.

Comment 12 Ben Skeggs 2009-11-08 04:27:35 UTC
Thanks for the update! Closing.


Note You need to log in before you can comment on or make changes to this bug.